# Jasminy - A Headless Jasmine TDD Tool

The goal of this project is to execute jasmine specs in a simulated DOM
environment without the need to spin up a server. Speed and flexibility
are the primary goals.

A lesser but still important goal is to support CoffeeScript.

## Installation

    npm install jasminy

## Use

Test a directory of (java|coffee) scripts

    jasminy test/specs

Include CoffeeScript matchers and a spec directory

    jasminy test/matchers.coffee test/specs

Include jQuery as well as a spec

    jasminy -j test/jquery/integration.js

## Dependencies

 - [node](http://nodejs.org/)
 - [jasmine](https://github.com/pivotal/jasmine)
 - [jsdom](https://github.com/tmpvar/jsdom)
 - [CoffeeScript](http://jashkenas.github.com/coffee-script)
 - [findit](https://github.com/substack/node-findit)
 - [commander.js](https://github.com/visionmedia/commander.js)

## TODO

 - Support jsdom options
 - Add watch flag
 - Support custom compilers
